const { Sequelize, DataTypes } = require('sequelize');
const sequelize = require('../app').sequelize;

const Player = sequelize.define('Player', {
  id: {
    type: DataTypes.UUID,
    defaultValue: Sequelize.UUIDV4,
    primaryKey: true
  },
  name: {
    type: DataTypes.STRING,
    allowNull: false
  },
  position: {
    type: DataTypes.INTEGER,
    defaultValue: 0
  },
  money: {
    type: DataTypes.INTEGER,
    defaultValue: 2500
  },
  roomId: {
    type: DataTypes.UUID,
    allowNull: false
  },
  turnOrder: {
    type: DataTypes.INTEGER,
    allowNull: false
  }
});

module.exports = Player;
