const { Sequelize, DataTypes } = require('sequelize');
const sequelize = require('../app').sequelize;

const Property = sequelize.define('Property', {
  id: {
    type: DataTypes.UUID,
    defaultValue: Sequelize.UUIDV4,
    primaryKey: true
  },
  name: {
    type: DataTypes.STRING,
    allowNull: false
  },
  price: {
    type: DataTypes.INTEGER,
    allowNull: false
  },
  productPrice: {
    type: DataTypes.INTEGER,
    allowNull: false
  },
  stateId: {
    type: DataTypes.UUID,
    allowNull: false
  },
  image: {
    type: DataTypes.STRING,
    allowNull: true
  }
});

module.exports = Property;
