const { Sequelize, DataTypes } = require('sequelize');
const sequelize = require('../app').sequelize;

const Room = sequelize.define('Room', {
  id: {
    type: DataTypes.UUID,
    defaultValue: Sequelize.UUIDV4,
    primaryKey: true
  },
  name: {
    type: DataTypes.STRING,
    allowNull: false
  },
  code: {
    type: DataTypes.STRING,
    allowNull: false,
    unique: true
  },
  status: {
    type: DataTypes.STRING,
    allowNull: false,
    defaultValue: 'waiting'
  }
});

module.exports = Room;
