const express = require('express');
const Player = require('../models/player');

const router = express.Router();

router.get('/:roomId', async (req, res) => {
  try {
    const { roomId } = req.params;
    const players = await Player.findAll({ where: { roomId } });
    res.json(players);
  } catch (error) {
    res.status(500).json({ error: error.message });
  }
});

module.exports = router;
