import Vue from 'vue';
import Router from 'vue-router';
import RoomList from './components/RoomList.vue';
import RoomEntry from './components/RoomEntry.vue';
import GameBoard from './components/GameBoard.vue';
import CMSProperty from './components/CMSProperty.vue';

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: '/',
      name: 'RoomList',
      component: RoomList,
    },
    {
      path: '/room/:code',
      name: 'RoomEntry',
      component: RoomEntry,
    },
    {
      path: '/game/:roomId',
      name: 'GameBoard',
      component: GameBoard,
    },
    {
      path: '/cms/property',
      name: 'CMSProperty',
      component: CMSProperty,
    },
  ],
});
